extends Area2D

signal PressurePlateTripped

@onready var animated_sprite_2d: AnimatedSprite2D = $AnimatedSprite2D

var activated := false

func _on_body_entered(body: Node2D) -> void:
	if activated:
		return
	
	activated = true
	animated_sprite_2d.play("activated")
	PressurePlateTripped.emit()
